
%global meadversion 2.1.1
%global namedversion 2.1.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package dom4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.1.redhat-00001

Name:           %{?scl_prefix}dom4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        dom4j
Group:          Development/Java

%if %with mead
Source100: dom4j-2.1.1.redhat-00001-scm-sources.zip
Source102: dom4j-2.1.1.redhat-00001.jar
Source103: dom4j-2.1.1.redhat-00001.pom
Source104: dom4j-2.1.1.redhat-00001-sources.jar
Source105: dom4j-2.1.1.redhat-00001-project-sources.tar.gz
Source106: dom4j-2.1.1.redhat-00001-javadoc.jar
%endif

License:        Plexus
URL:            http://dom4j.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
dom4j: the flexible XML framework for Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for dom4j
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n dom4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}.jar %{buildroot}%{_javadir}/dom4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/dom4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/dom4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/dom4j-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/dom4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/dom4j-%{namedversion} -x META-INF/\*
%{__ln_s} dom4j-%{namedversion} %{buildroot}%{_javadocdir}/dom4j
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md TODO
%{_javadir}/dom4j-%{namedversion}.jar
%{_javadir}/dom4j.jar
%if %with javadoc
%{_javadir}/dom4j-%{namedversion}-javadoc.jar
%{_javadir}/dom4j-javadoc.jar
%endif
%{_javadir}/dom4j-%{namedversion}-sources.jar
%{_javadir}/dom4j-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/dom4j-%{namedversion}
%{_javadocdir}/dom4j
%endif

%changelog
* Wed Apr 03 2019 Permaine Cheung <pcheung@redhat.com> - 2.1.1-2.redhat_00001.1
- Rewrap

* Fri Dec 07 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.1.1-1.redhat_00001.1
- upgrade to 2.1.1.redhat-00001

* Fri Dec 07 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.1.1-1.redhat_00001.1
- upgrade to 2.1.1.redhat-00001

* Tue Nov 27 2018 Aurel Pintea <apintea@redhat.com> - 2.1.1-1.redhat_00001.2
- Upgrade to 2.1.1

* Thu Nov 22 2018 Aurel Pintea <apintea@redhat.com> - 2.1.1-1.redhat_00001.1
- upgrade to 2.1.1.redhat-00001

* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 1.6.1-24.redhat_7.1
- Rewrap for 7.2.0

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.6.1-23.redhat_7.1
- Re-wrap to include RHEL-6

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 1.6.1-22.redhat_7.1
- release

